Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Tue, 28 Apr 2015 01:09:40 +0300

On 04/27/2015 06:07 PM, Eli Zaretskii wrote:

> This puts you at the first line of find-tag, without showing the other
> possible symbols whose names contain "find-tag" as their substring.
> If you want the other candidates, you need to type TAB instead of RET,
> and then select the one you want via the usual completion facilities.

Yes, if you want all matches, try `xref-find-apropos' (bound to 
`C-M-.').  Usually I prefer the new, more precise behavior of `M-.'.

> I guess the elisp-mode back-end returns just one candidate, whereas
> the etags back-end returns a list.  But it's confusing to have such
> evident differences just because you changed the back-end, I think.

etags showing all matches is, in general, the limitation of the tags 
file format. But if someone submits a patch making it more precise 
without creating false negatives, I'm all for it.

And hey, you changed the back-end. It uses a different mechanism under 
the covers. *Of course* you're going to get different results, in many 
cases.